<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

$casamia_blog_style = explode('_', casamia_get_theme_option('blog_style'));
$casamia_columns = empty($casamia_blog_style[1]) ? 2 : max(2, $casamia_blog_style[1]);
$casamia_post_format = get_post_format();
$casamia_post_format = empty($casamia_post_format) ? 'standard' : str_replace('post-format-', '', $casamia_post_format);
$casamia_animation = casamia_get_theme_option('blog_animation');
$casamia_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($casamia_columns).' post_format_'.esc_attr($casamia_post_format) ); ?>
	<?php echo (!casamia_is_off($casamia_animation) ? ' data-animation="'.esc_attr(casamia_get_animation_classes($casamia_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($casamia_image[1]) && !empty($casamia_image[2])) echo intval($casamia_image[1]) .'x' . intval($casamia_image[2]); ?>"
	data-src="<?php if (!empty($casamia_image[0])) echo esc_url($casamia_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$casamia_image_hover = 'icon';
	if (in_array($casamia_image_hover, array('icons', 'zoom'))) $casamia_image_hover = 'dots';
	$casamia_components = casamia_is_inherit(casamia_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: casamia_array_get_keys_by_value(casamia_get_theme_option('meta_parts'));
	$casamia_counters = casamia_is_inherit(casamia_get_theme_option_from_meta('counters')) 
								? 'comments'
								: casamia_array_get_keys_by_value(casamia_get_theme_option('counters'));
	casamia_show_post_featured(array(
		'hover' => $casamia_image_hover,
		'thumb_size' => casamia_get_thumb_size( strpos(casamia_get_theme_option('body_style'), 'full')!==false || $casamia_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($casamia_components)
										? casamia_show_post_meta(apply_filters('casamia_filter_post_meta_args', array(
											'components' => $casamia_components,
											'counters' => $casamia_counters,
											'seo' => false,
											'echo' => false
											), $casamia_blog_style[0], $casamia_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'casamia') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>