<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

$casamia_blog_style = explode('_', casamia_get_theme_option('blog_style'));
$casamia_columns = empty($casamia_blog_style[1]) ? 2 : max(2, $casamia_blog_style[1]);
$casamia_post_format = get_post_format();
$casamia_post_format = empty($casamia_post_format) ? 'standard' : str_replace('post-format-', '', $casamia_post_format);
$casamia_animation = casamia_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($casamia_columns).' post_format_'.esc_attr($casamia_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!casamia_is_off($casamia_animation) ? ' data-animation="'.esc_attr(casamia_get_animation_classes($casamia_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$casamia_image_hover = casamia_get_theme_option('image_hover');
	// Featured image
	casamia_show_post_featured(array(
		'thumb_size' => casamia_get_thumb_size(strpos(casamia_get_theme_option('body_style'), 'full')!==false || $casamia_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $casamia_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $casamia_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>