<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

$casamia_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$casamia_post_format = get_post_format();
$casamia_post_format = empty($casamia_post_format) ? 'standard' : str_replace('post-format-', '', $casamia_post_format);
$casamia_animation = casamia_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($casamia_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($casamia_post_format) ); ?>
	<?php echo (!casamia_is_off($casamia_animation) ? ' data-animation="'.esc_attr(casamia_get_animation_classes($casamia_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	casamia_show_post_featured(array(
		'thumb_size' => casamia_get_thumb_size($casamia_columns==1 ? 'big' : ($casamia_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($casamia_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">123
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			casamia_show_post_meta(apply_filters('casamia_filter_post_meta_args', array(), 'sticky', $casamia_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>