<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.31
 */

get_header();

// If front-page is a static page
if (get_option('show_on_front') == 'page') {

	// If Front Page Builder is enabled - display sections
	if (casamia_is_on(casamia_get_theme_option('front_page_enabled'))) {

		if ( have_posts() ) the_post();

		$casamia_sections = casamia_array_get_keys_by_value(casamia_get_theme_option('front_page_sections'), 1, false);
		if (is_array($casamia_sections)) {
			foreach ($casamia_sections as $casamia_section) {
				get_template_part("front-page/section", $casamia_section);
			}
		}
	
	// Else - display native page content
	} else
		get_template_part('page');

// Else get index template to show posts
} else
	get_template_part('index');

get_footer();
?>