<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'casamia_elegro_payment_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'casamia_elegro_payment_theme_setup9', 9 );
    function casamia_elegro_payment_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'casamia_filter_tgmpa_required_plugins', 'casamia_elegro_payment_tgmpa_required_plugins' );
        }

    }
}


// Filter to add in the required plugins list
if ( !function_exists( 'casamia_elegro_payment_tgmpa_required_plugins' ) ) {

    function casamia_elegro_payment_tgmpa_required_plugins($list=array()) {
        if (casamia_storage_isset('required_plugins', 'elegro-payment')) {
            $list[] = array(
                'name'     => casamia_storage_get_array( 'required_plugins', 'elegro-payment' ),
                'slug'     => 'elegro-payment',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if this plugin installed and activated
if ( ! function_exists( 'casamia_exists_elegro_payment' ) ) {
    function casamia_exists_elegro_payment() {
        return class_exists( 'WC_Elegro_Payment' );
    }
}


// Add our ref to the link
if ( !function_exists( 'casamia_elegro_payment_add_ref' ) ) {
    add_filter( 'woocommerce_settings_api_form_fields_elegro', 'casamia_elegro_payment_add_ref' );
    function casamia_elegro_payment_add_ref( $fields ) {
        if ( ! empty( $fields['listen_url']['description'] ) ) {
            $fields['listen_url']['description'] = preg_replace( '/href="([^"]+)"/', 'href="$1?ref=246218d7-a23d-444d-83c5-a884ecfa4ebd"', $fields['listen_url']['description'] );
        }
        return $fields;
    }
}
