<?php
/* Custom Search for Properties support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('casamia_prop_plugin_theme_setup9')) {
	add_action( 'after_setup_theme', 'casamia_prop_plugin_theme_setup9', 9 );
	function casamia_prop_plugin_theme_setup9() {
		if (casamia_exists_prop_plugin()) {
			add_action( 'wp_enqueue_scripts', 							'casamia_prop_plugin_frontend_scripts', 1100 );
			add_filter( 'casamia_filter_merge_styles',					'casamia_prop_plugin_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'casamia_filter_tgmpa_required_plugins',		'casamia_prop_plugin_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'casamia_exists_prop_plugin' ) ) {
	function casamia_exists_prop_plugin() {
		return class_exists('prop_plugin_plugin');
	}
}
// Filter to add in the required plugins list
if ( !function_exists( 'casamia_prop_plugin_tgmpa_required_plugins' ) ) {
	
	function casamia_prop_plugin_tgmpa_required_plugins($list=array()) {
		if (casamia_storage_isset('required_plugins', 'prop-plugin')) {
			$path = casamia_get_file_dir('plugins/prop-plugin/prop-plugin.zip');
			if (!empty($path) || casamia_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> esc_html__('Custom Search for Properties', 'casamia'),
					'slug' 		=> 'prop-plugin',
                    'version'	=> '1.0',
					'source'	=> !empty($path) ? $path : 'upload://prop-plugin.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

?>