<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('casamia_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'casamia_revslider_theme_setup9', 9 );
	function casamia_revslider_theme_setup9() {
		if (casamia_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'casamia_revslider_frontend_scripts', 1100 );
			add_filter( 'casamia_filter_merge_styles',			'casamia_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'casamia_filter_tgmpa_required_plugins','casamia_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'casamia_revslider_tgmpa_required_plugins' ) ) {
	
	function casamia_revslider_tgmpa_required_plugins($list=array()) {
		if (casamia_storage_isset('required_plugins', 'revslider')) {
			$path = casamia_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || casamia_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> casamia_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
                    'version'  => '6.2.5',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'casamia_exists_revslider' ) ) {
	function casamia_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'casamia_revslider_frontend_scripts' ) ) {
	
	function casamia_revslider_frontend_scripts() {
		if (casamia_is_on(casamia_get_theme_option('debug_mode')) && casamia_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'casamia-revslider',  casamia_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'casamia_revslider_merge_styles' ) ) {
	
	function casamia_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>