<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

if (casamia_sidebar_present()) {
	ob_start();
	$casamia_sidebar_name = casamia_get_theme_option('sidebar_widgets');
	casamia_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($casamia_sidebar_name) ) {
		dynamic_sidebar($casamia_sidebar_name);
	}
	$casamia_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($casamia_out)) {
		$casamia_sidebar_position = casamia_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($casamia_sidebar_position); ?> widget_area<?php if (!casamia_is_inherit(casamia_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(casamia_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'casamia_action_before_sidebar' );
				casamia_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $casamia_out));
				do_action( 'casamia_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>