<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.1
 */
 
$casamia_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="casamia_admin_notice">
	<h3 class="casamia_notice_title"><?php echo sprintf(esc_html__('Welcome to %s v.%s', 'casamia'), $casamia_theme_obj->name.(CASAMIA_THEME_FREE ? ' '.esc_html__('Free', 'casamia') : ''), $casamia_theme_obj->version); ?></h3>
	<?php
	if (!casamia_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('<b>Attention!</b> Plugin "ThemeREX Addons is required! Please, install and activate it!', 'casamia')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=casamia_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php echo sprintf(esc_html__('About %s', 'casamia'), $casamia_theme_obj->name); ?></a>
		<?php
		if (casamia_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'casamia'); ?></a>
			<?php
		}
		if (function_exists('casamia_exists_trx_addons') && casamia_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'casamia'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'casamia'); ?></a>
		<span> <?php esc_html_e('or', 'casamia'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'casamia'); ?></a>
        <a href="#" class="button casamia_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'casamia'); ?></a>
	</p>
</div>