<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.10
 */

// Copyright area
$casamia_footer_scheme =  casamia_is_inherit(casamia_get_theme_option('footer_scheme')) ? casamia_get_theme_option('color_scheme') : casamia_get_theme_option('footer_scheme');
$casamia_copyright_scheme = casamia_is_inherit(casamia_get_theme_option('copyright_scheme')) ? $casamia_footer_scheme : casamia_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($casamia_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$casamia_copyright = casamia_prepare_macros(casamia_get_theme_option('copyright'));
				if (!empty($casamia_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $casamia_copyright, $casamia_matches)) {
						$casamia_copyright = str_replace($casamia_matches[1], date(str_replace(array('{', '}'), '', $casamia_matches[1])), $casamia_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($casamia_copyright));
				}
			?></div>
		</div>
	</div>
</div>
