<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.10
 */

$casamia_footer_scheme =  casamia_is_inherit(casamia_get_theme_option('footer_scheme')) ? casamia_get_theme_option('color_scheme') : casamia_get_theme_option('footer_scheme');
$casamia_footer_id = str_replace('footer-custom-', '', casamia_get_theme_option("footer_style"));
if ((int) $casamia_footer_id == 0) {
	$casamia_footer_id = casamia_get_post_id(array(
												'name' => $casamia_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
} else {
	$casamia_footer_id = apply_filters('casamia_filter_get_translated_layout', $casamia_footer_id);
}
$casamia_footer_meta = get_post_meta($casamia_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($casamia_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($casamia_footer_id))); 
						if (!empty($casamia_footer_meta['margin']) != '') 
							echo ' '.esc_attr(casamia_add_inline_css_class('margin-top: '.esc_attr(casamia_prepare_css_value($casamia_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($casamia_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('casamia_action_show_layout', $casamia_footer_id);
	?>
</footer><!-- /.footer_wrap -->
