<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.10
 */

// Logo
if (casamia_is_on(casamia_get_theme_option('logo_in_footer'))) {
	$casamia_logo_image = '';
	if (casamia_is_on(casamia_get_theme_option('logo_retina_enabled')) && casamia_get_retina_multiplier(2) > 1)
		$casamia_logo_image = casamia_get_theme_option( 'logo_footer_retina' );
	if (empty($casamia_logo_image)) 
		$casamia_logo_image = casamia_get_theme_option( 'logo_footer' );
	$casamia_logo_text   = get_bloginfo( 'name' );
	if (!empty($casamia_logo_image) || !empty($casamia_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($casamia_logo_image)) {
					$casamia_attr = casamia_getimagesize($casamia_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($casamia_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('Image', 'casamia').'"'.(!empty($casamia_attr[3]) ? sprintf(' %s', $casamia_attr[3]) : '').'></a>' ;
				} else if (!empty($casamia_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($casamia_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>