<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.10
 */

// Footer sidebar
$casamia_footer_name = casamia_get_theme_option('footer_widgets');
$casamia_footer_present = !casamia_is_off($casamia_footer_name) && is_active_sidebar($casamia_footer_name);
if ($casamia_footer_present) { 
	casamia_storage_set('current_sidebar', 'footer');
	$casamia_footer_wide = casamia_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($casamia_footer_name) ) {
		dynamic_sidebar($casamia_footer_name);
	}
	$casamia_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($casamia_out)) {
		$casamia_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $casamia_out);
		$casamia_need_columns = true;
		if ($casamia_need_columns) {
			$casamia_columns = max(0, (int) casamia_get_theme_option('footer_columns'));
			if ($casamia_columns == 0) $casamia_columns = min(4, max(1, substr_count($casamia_out, '<aside ')));
			if ($casamia_columns > 1)
				$casamia_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($casamia_columns).' widget ', $casamia_out);
			else
				$casamia_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($casamia_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$casamia_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($casamia_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'casamia_action_before_sidebar' );
				casamia_show_layout($casamia_out);
				do_action( 'casamia_action_after_sidebar' );
				if ($casamia_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$casamia_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>