<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */


$casamia_header_css = $casamia_header_image = '';
$casamia_header_video = casamia_get_header_video();
if (true || empty($casamia_header_video)) {
	$casamia_header_image = get_header_image();
	if (casamia_is_on(casamia_get_theme_option('header_image_override')) && apply_filters('casamia_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($casamia_cat_img = casamia_get_category_image()) != '')
				$casamia_header_image = $casamia_cat_img;
		} else if (is_singular() || casamia_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$casamia_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($casamia_header_image)) $casamia_header_image = $casamia_header_image[0];
			} else
				$casamia_header_image = '';
		}
	}
}

?><header class="top_panel top_panel_default<?php
					echo !empty($casamia_header_image) || !empty($casamia_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($casamia_header_video!='') echo ' with_bg_video';
					if ($casamia_header_image!='') echo ' '.esc_attr(casamia_add_inline_css_class('background-image: url('.esc_url($casamia_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (casamia_is_on(casamia_get_theme_option('header_fullheight'))) echo ' header_fullheight casamia-full-height';
					?> scheme_<?php echo esc_attr(casamia_is_inherit(casamia_get_theme_option('header_scheme')) 
													? casamia_get_theme_option('color_scheme') 
													: casamia_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($casamia_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (casamia_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );


?></header>