<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

$casamia_args = get_query_var('casamia_logo_args');

// Site logo
$casamia_logo_image  = casamia_get_logo_image(isset($casamia_args['type']) ? $casamia_args['type'] : '');
$casamia_logo_text   = casamia_is_on(casamia_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$casamia_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($casamia_logo_image) || !empty($casamia_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($casamia_logo_image)) {
			$casamia_attr = casamia_getimagesize($casamia_logo_image);
			echo '<img src="'.esc_url($casamia_logo_image).'" alt="'.esc_attr__('Image', 'casamia').'"'.(!empty($casamia_attr[3]) ? sprintf(' %s', $casamia_attr[3]) : '').'>';
		} else {
			casamia_show_layout(casamia_prepare_macros($casamia_logo_text), '<span class="logo_text">', '</span>');
			casamia_show_layout(casamia_prepare_macros($casamia_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>