<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

// Page (category, tag, archive, author) title

if ( casamia_need_page_title() ) {
	casamia_sc_layouts_showed('title', true);
	casamia_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								casamia_show_post_meta(apply_filters('casamia_filter_post_meta_args', array(
									'components' => 'categories,date,counters,edit',
									'counters' => 'views,comments,likes',
									'seo' => true
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$casamia_blog_title = casamia_get_blog_title();
							$casamia_blog_title_text = $casamia_blog_title_class = $casamia_blog_title_link = $casamia_blog_title_link_text = '';
							if (is_array($casamia_blog_title)) {
								$casamia_blog_title_text = $casamia_blog_title['text'];
								$casamia_blog_title_class = !empty($casamia_blog_title['class']) ? ' '.$casamia_blog_title['class'] : '';
								$casamia_blog_title_link = !empty($casamia_blog_title['link']) ? $casamia_blog_title['link'] : '';
								$casamia_blog_title_link_text = !empty($casamia_blog_title['link_text']) ? $casamia_blog_title['link_text'] : '';
							} else
								$casamia_blog_title_text = $casamia_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($casamia_blog_title_class); ?>"><?php
								$casamia_top_icon = casamia_get_category_icon();
								if (!empty($casamia_top_icon)) {
									$casamia_attr = casamia_getimagesize($casamia_top_icon);
									?><img src="<?php echo esc_url($casamia_top_icon); ?>" alt="<?php esc_attr__('Image', 'casamia')?>" <?php if (!empty($casamia_attr[3])) casamia_show_layout($casamia_attr[3]);?>><?php
								}
								echo wp_kses_post($casamia_blog_title_text);
							?></h1>
							<?php
							if (!empty($casamia_blog_title_link) && !empty($casamia_blog_title_link_text)) {
								?><a href="<?php echo esc_url($casamia_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($casamia_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'casamia_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>