<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.14
 */
$casamia_header_video = casamia_get_header_video();
$casamia_embed_video = '';
if (!empty($casamia_header_video) && !casamia_is_from_uploads($casamia_header_video)) {
	if (casamia_is_youtube_url($casamia_header_video) && preg_match('/[=\/]([^=\/]*)$/', $casamia_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$casamia_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($casamia_header_video) . '[/embed]' ));
			$casamia_embed_video = casamia_make_video_autoplay($casamia_embed_video);
		} else {
			$casamia_header_video = str_replace('/watch?v=', '/embed/', $casamia_header_video);
			$casamia_header_video = casamia_add_to_url($casamia_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$casamia_embed_video = '<iframe src="' . esc_url($casamia_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php casamia_show_layout($casamia_embed_video); ?></div><?php
	}
}
?>