<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

// Header sidebar
$casamia_header_name = casamia_get_theme_option('header_widgets');
$casamia_header_present = !casamia_is_off($casamia_header_name) && is_active_sidebar($casamia_header_name);
if ($casamia_header_present) { 
	casamia_storage_set('current_sidebar', 'header');
	$casamia_header_wide = casamia_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($casamia_header_name) ) {
		dynamic_sidebar($casamia_header_name);
	}
	$casamia_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($casamia_widgets_output)) {
		$casamia_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $casamia_widgets_output);
		$casamia_need_columns = strpos($casamia_widgets_output, 'columns_wrap')===false;
		if ($casamia_need_columns) {
			$casamia_columns = max(0, (int) casamia_get_theme_option('header_columns'));
			if ($casamia_columns == 0) $casamia_columns = min(6, max(1, substr_count($casamia_widgets_output, '<aside ')));
			if ($casamia_columns > 1)
				$casamia_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($casamia_columns).' widget ', $casamia_widgets_output);
			else
				$casamia_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($casamia_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$casamia_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($casamia_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'casamia_action_before_sidebar' );
				casamia_show_layout($casamia_widgets_output);
				do_action( 'casamia_action_after_sidebar' );
				if ($casamia_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$casamia_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>