<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

$casamia_post_id    = get_the_ID();
$casamia_post_date  = casamia_get_date();
$casamia_post_title = get_the_title();
$casamia_post_link  = get_permalink();
$casamia_post_author_id   = get_the_author_meta('ID');
$casamia_post_author_name = get_the_author_meta('display_name');
$casamia_post_author_url  = get_author_posts_url($casamia_post_author_id, '');

$casamia_args = get_query_var('casamia_args_widgets_posts');
$casamia_show_date = isset($casamia_args['show_date']) ? (int) $casamia_args['show_date'] : 1;
$casamia_show_image = isset($casamia_args['show_image']) ? (int) $casamia_args['show_image'] : 1;
$casamia_show_author = isset($casamia_args['show_author']) ? (int) $casamia_args['show_author'] : 1;
$casamia_show_counters = isset($casamia_args['show_counters']) ? (int) $casamia_args['show_counters'] : 1;
$casamia_show_categories = isset($casamia_args['show_categories']) ? (int) $casamia_args['show_categories'] : 1;

$casamia_output = casamia_storage_get('casamia_output_widgets_posts');

$casamia_post_counters_output = '';
if ( $casamia_show_counters ) {
	$casamia_post_counters_output = '<span class="post_info_item post_info_counters">'
								. casamia_get_post_counters('comments')
							. '</span>';
}


$casamia_output .= '<article class="post_item with_thumb">';

if ($casamia_show_image) {
	$casamia_post_thumb = get_the_post_thumbnail($casamia_post_id, casamia_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ))
	));
	if ($casamia_post_thumb) $casamia_output .= '<div class="post_thumb">' . ($casamia_post_link ? '<a href="' . esc_url($casamia_post_link) . '">' : '') . ($casamia_post_thumb) . ($casamia_post_link ? '</a>' : '') . '</div>';
}

$casamia_output .= '<div class="post_content">'
			. ($casamia_show_categories 
					? '<div class="post_categories">'
						. casamia_get_post_categories()
						. $casamia_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($casamia_post_link ? '<a href="' . esc_url($casamia_post_link) . '">' : '') . ($casamia_post_title) . ($casamia_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('casamia_filter_get_post_info', 
								'<div class="post_info">'
									. ($casamia_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($casamia_post_link ? '<a href="' . esc_url($casamia_post_link) . '" class="post_info_date">' : '') 
											. esc_html($casamia_post_date) 
											. ($casamia_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($casamia_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'casamia') . ' ' 
											. ($casamia_post_link ? '<a href="' . esc_url($casamia_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($casamia_post_author_name) 
											. ($casamia_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$casamia_show_categories && $casamia_post_counters_output
										? $casamia_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
casamia_storage_set('casamia_output_widgets_posts', $casamia_output);
?>