<?php
/**
 * The template's part to display the agent's or author's contact form
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.22
 */

$trx_addons_args = get_query_var('trx_addons_args_properties_form');
$trx_addons_meta = $trx_addons_args['meta'];
$trx_addons_agent = $trx_addons_args['agent'];

$form_style = $trx_addons_args['style'] = empty($trx_addons_args['style']) || trx_addons_is_inherit($trx_addons_args['style']) 
					? trx_addons_get_option('input_hover') 
					: $trx_addons_args['style'];

?><div class="sc_form properties_page_agent_form">
	<h6 class="properties_page_agent_form_title"><?php printf(esc_html__('Contact %s', 'casamia'), $trx_addons_agent['name']); ?></h6>
    <?php if (casamia_exists_cf7() && $trx_addons_agent['cf7']!=0){
        $id_cf7 = $trx_addons_agent['cf7'];
    echo do_shortcode('[contact-form-7 id="'.trim($id_cf7).'"]');
    } else {
        ?>
    <form class="sc_form_form <?php
				if ($form_style != 'default') echo 'sc_input_hover_'.esc_attr($form_style);
				?>" method="post" action="<?php echo admin_url('admin-ajax.php'); ?>">
		<input type="hidden" name="property_agent" value="<?php
				echo esc_attr($trx_addons_meta['agent_type']=='author' ? -get_the_author_meta('ID') : $trx_addons_meta['agent']); ?>">
		<input type="hidden" name="property_id" value="<?php
				echo esc_attr(is_single() && get_post_type()==TRX_ADDONS_CPT_PROPERTIES_PT ? get_the_ID() : ''); ?>">
		<?php
		// Field 'Name'
		trx_addons_get_template_part(TRX_ADDONS_PLUGIN_SHORTCODES . 'form/tpl.form-field.php',
										'trx_addons_args_sc_form_field',
										array_merge($trx_addons_args, array(
													'field_name'  => 'name',
													'field_type'  => 'text',
													'field_req'   => true,
													'field_icon'  => 'trx_addons_icon-user-alt',
													'field_title' => esc_html__('Name', 'casamia'),
													'field_placeholder' => esc_html__('Name:', 'casamia')
													))
									);
		// Field 'E-mail'
		trx_addons_get_template_part(TRX_ADDONS_PLUGIN_SHORTCODES . 'form/tpl.form-field.php',
										'trx_addons_args_sc_form_field',
										array_merge($trx_addons_args, array(
													'field_name'  => 'email',
													'field_type'  => 'text',
													'field_req'   => true,
													'field_icon'  => 'trx_addons_icon-mail',
													'field_title' => esc_html__('E-mail', 'casamia'),
													'field_placeholder' => esc_html__('Email:', 'casamia')
													))
									);
		// Field 'Phone'
		trx_addons_get_template_part(TRX_ADDONS_PLUGIN_SHORTCODES . 'form/tpl.form-field.php',
										'trx_addons_args_sc_form_field',
										array_merge($trx_addons_args, array(
													'field_name'  => 'phone',
													'field_type'  => 'text',
													'field_req'   => true,
													'field_icon'  => 'trx_addons_icon-phone',
													'field_title' => esc_html__('Phone', 'casamia'),
													'field_placeholder' => esc_html__('Phone:', 'casamia')
													))
									);
		// Field 'Message'
		trx_addons_get_template_part(TRX_ADDONS_PLUGIN_SHORTCODES . 'form/tpl.form-field.php',
										'trx_addons_args_sc_form_field',
										array_merge($trx_addons_args, array(
													'field_name'  => 'message',
													'field_type'  => 'textarea',
													'field_req'   => true,
													'field_icon'  => 'trx_addons_icon-feather',
													'field_title' => esc_html__('Message', 'casamia'),
													'field_placeholder' => esc_html__('Message:', 'casamia')
													))
									);
        static $cnt = 0;
        $cnt++;
        $privacy = trx_addons_get_privacy_text();
        if (!empty($privacy)) {
            ?><div class="sc_form_field sc_form_field_checkbox"><?php
            ?><input type="checkbox" id="i_agree_privacy_policy_sc_form_<?php echo esc_attr($cnt); ?>" name="i_agree_privacy_policy" class="sc_form_privacy_checkbox" value="1">
            <label for="i_agree_privacy_policy_sc_form_<?php echo esc_attr($cnt); ?>"><?php trx_addons_show_layout($privacy); ?></label>
            </div><?php
        }
        ?>
		<div class="sc_form_field sc_form_field_button"><button <?php
            if (!empty($privacy)) echo ' disabled="disabled"'
            ?>><?php
                if (!empty($args['button_caption']))
                    echo esc_html($args['button_caption']);
                else
                    esc_html_e('Send Message', 'casamia');
                ?></button></div>
		<div class="trx_addons_message_box sc_form_result"></div>
	</form>
    <?php
    }
    ?>
</div><!-- /.sc_form -->