<?php
/**
 * Template of the custom slide content with Property's data for the Swiper
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.23
 */

$args = get_query_var('trx_addons_args_properties_slider_slide');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = get_permalink();

?><div class="sc_properties_slider_columns <?php echo esc_attr(trx_addons_get_columns_wrap_class()); ?>"><?php
	
	// First column with data
	?>
	<div class="sc_properties_content">
		<div class="cat_mask"></div>

		<figure class="sc_properties_slider_image">
			<?php the_post_thumbnail(trx_addons_get_thumb_size('big'), array('alt' => the_title_attribute( array( 'echo' => false )))); ?>
		</figure>
		<div class="sc_properties_info">
			<div>
			<?php
			// Featured image
			if ( has_post_thumbnail() ) {
				trx_addons_get_template_part('templates/tpl.featured.php',
					'trx_addons_args_featured',
					apply_filters('trx_addons_filter_args_featured', array(
						'post_info' => '<div class="sc_properties_item_labels">'
							. trx_addons_get_post_terms('', get_the_ID(), TRX_ADDONS_CPT_PROPERTIES_TAXONOMY_LABELS)
							. '</div>'
					), 'properties-default'
					)
				);
			}
			?>
				<div class="pro_data">
					<h4 class="sc_properties_slider_title"><a href="<?php echo esc_url($link); ?>"><?php the_title(); ?></a></h4>
					<div class="properties_city"><?php
						trx_addons_get_term_link( (int)$meta['city'],
							TRX_ADDONS_CPT_PROPERTIES_TAXONOMY_CITY,
							array('echo'=>true)
						);
						?></div>
					<div class="sc_properties_slider_data_price">
						<strong><?php
							if (!empty($meta['before_price']))
								trx_addons_show_layout(trx_addons_prepare_macros($meta['before_price']));
							?></strong>
						<?php
						?><span><?php
							if (!empty($meta['price']))
								echo esc_html(trx_addons_format_price($meta['price']));
							if (!empty($meta['price']) && !empty($meta['price2'])) {
								?><br><?php
							}
							if (!empty($meta['price2']))
								echo esc_html(trx_addons_format_price($meta['price2']));?></span><?php
						if (!empty($meta['after_price']))
							trx_addons_show_layout(' '.trx_addons_prepare_macros($meta['after_price']));
						?>
					</div>
				</div>

		    </div>
		</div>
	</div>
	<div class="sc_properties_slider_column <?php echo esc_attr(trx_addons_get_column_class(2, 5)); ?>">
		<h4 class="sc_properties_slider_title"><?php the_title(); ?></h4>
		<ul class="sc_properties_slider_data trx_addons_list trx_addons_list_parameters">
			<li class="sc_properties_slider_data_id">
				<strong><?php esc_html_e('Property ID', 'casamia'); ?></strong>
				<em><?php echo esc_html($meta['id']); ?></em>
			</li>
			<li class="sc_properties_slider_data_beds">
				<strong><?php esc_html_e('Bedrooms', 'casamia'); ?></strong>
				<em><?php echo esc_html($meta['bedrooms']); ?></em>
			</li>
			<li class="sc_properties_slider_data_baths">
				<strong><?php esc_html_e('Bathrooms', 'casamia'); ?></strong>
				<em><?php echo esc_html($meta['bedrooms']); ?></em>
			</li>
			<li class="sc_properties_slider_data_area">
				<strong><?php esc_html_e('Area size', 'casamia'); ?></strong>
				<em><?php trx_addons_show_layout($meta['area_size']
												. ($meta['area_size_prefix'] 
														? ' ' . trx_addons_prepare_macros($meta['area_size_prefix'])
														: ''
													));

					// Address
					?><span class="properties_address_item"><?php trx_addons_show_layout($meta['address']); ?></span>
					<span class="properties_address_item"><?php trx_addons_get_post_terms('', get_the_ID(), TRX_ADDONS_CPT_PROPERTIES_TAXONOMY_LABELS); ?></span><?php

				?></em>


			</li>
			<li class="sc_properties_slider_data_garages">
				<strong><?php esc_html_e('Garages', 'casamia'); ?></strong>
				<em><?php trx_addons_show_layout($meta['garages']
												. ($meta['garage_size'] 
														? ' (' . trx_addons_prepare_macros($meta['garage_size']) . ')'
														: ''
													)
												);
				?></em>
			</li>
			<li class="sc_properties_slider_data_price">
				<strong><?php
					if (!empty($meta['before_price']))
						trx_addons_show_layout(trx_addons_prepare_macros($meta['before_price']));
					else
						esc_html_e('Price', 'casamia');
				?></strong>
				<em><?php
					if (!empty($meta['price']))
						echo esc_html(trx_addons_format_price($meta['price']));
					if (!empty($meta['price']) && !empty($meta['price2'])) {
						?><br><?php
					}
					if (!empty($meta['price2']))
						echo esc_html(trx_addons_format_price($meta['price2']));
					if (!empty($meta['after_price']))
						trx_addons_show_layout(' '.trx_addons_prepare_macros($meta['after_price']));
				?></em>
			</li>
		</ul>
		<?php
		trx_addons_show_layout(trx_addons_sc_button(array(
										'link' => $link,
										'title' => esc_html__('Learn more', 'casamia'),
										'class' => 'sc_properties_slider_data_button'
										)
								));
		?>
	</div><?php

	// Second column with image
	?><div class="sc_properties_slider_column <?php echo esc_attr(trx_addons_get_column_class(3, 5)); ?>">

	</div>
</div>